diff --git a/changelog b/changelog
index 4c50eb3..125f42d 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20120815 tpd src/axiom-website/patches.html 20120815.01.tpd.patch
+20120815 tpd src/axiom-website/documentation.html
 20120615 tpd src/axiom-website/patches.html 20120615.01.tpd.patch
 20120615 tpd Makefile.pamphlet add mint stanza
 20120612 tpd src/axiom-website/patches.html 20120612.01.tpd.patch
diff --git a/src/axiom-website/documentation.html b/src/axiom-website/documentation.html
index 795b511..0eca346 100644
--- a/src/axiom-website/documentation.html
+++ b/src/axiom-website/documentation.html
@@ -266,6 +266,45 @@ believe in forcing ideas on anybody.
 Interview with Donald Knuth</a>
 <br/><br/>
 
+<blockquote>
+<p><b>
+An abbot of the Seven-Clawed Blind Eagle Clan was tallying the
+deliverables of the temple monks, when he noticed that a monk of the
+Laughing Monkey Clan had produced no design documents.
+</b></p>
+<p><b>
+"What if a problem were discovered in our production system?" the abbot
+asked the monk. "How would the cause be understood by any besides
+yourself?"
+</b></p>
+<p><b>
+"The code itself should be examined," said the monk. "The Document is a
+sickly beast, easily subject to the Three Plagues of Error: omission,
+obfuscation, and obsolescence."
+</b></p>
+<p><b>
+The abbot reported this to the Java master, who said: "Have the monk
+balance on one foot with his staff outstretched, every day from dusk to
+midnight. If he can say a word to please me I will revoke the punishment,
+but not otherwise."
+</b></p>
+<p><b>
+"Is there such a word?" asked the abbot.
+</b></p>
+<p><b>
+"It is difficult to be certain," reflected the master. "Yesterday I was 
+pleased by the sound of a cricket chirping after the first three drops
+of rain. The day before, the plashing of milk in a pail returned me to
+a pleasant memory of my youth. Perhaps the answer lies in the fragrance
+of a white lotus that drifted once in a pond below my window."
+</b></p>
+</blockquote>
+<br/>
+--Qi
+<a href="http://thecodelesscode.com/case/16">
+The Codeless Code</a>
+<br/><br/>
+
 <hr/>
 <br/>
 Once a program has been developed and the developers have moved
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 64045d4..dfd1044 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -3941,5 +3941,7 @@ In process, not yet released<br/><br/>
 src/axiom-website/download.html add binaries<br/>
 <a href="patches/20120615.01.tpd.patch">20120615.01.tpd.patch</a>
 Makefile.pamphlet add mint stanza<br/>
+<a href="patches/20120815.01.tpd.patch">20120815.01.tpd.patch</a>
+src/axiom-website/documentation.html
  </body>
 </html>
